View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
10230Bug reportsConditionspublic2023-03-14 16:23
ReporterMarksom Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Fixed in Version2.50.x 
Summary10230: Limesurvey should not check completed surveys quotas
Description

Hello to all of Limesurvey team.

In my opinion, Limesurvey should not check answered surveys quotas.
Here's an example: my interviewees often to check and change your answers after completing the questionnaire. However, when they need to go back and if the survey has reached the quota, Limesurvey does not advance and cancels the record.

It would be possible to change the script to not check survey to "submitdate IS NOT NULL"?

I thank you all.

Additional Information

Open a topic related to this subject in Limesurvey forum: https://www.limesurvey.org/en/forum/plugins/99703-change-function-getquotacompletedcount

TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)
I will donate to the project if issue is resolved
Browser
Database type & version
Server OS (if known)
Webserver software & version (if known)
PHP Version

Relationships

related to 18645 in code reviewc_schmitz Quotas overruled when a user updates the survey 

Users monitoring this issue

User List Marksom

Activities

Marksom

Marksom

2016-01-22 14:31

reporter  

ScreenShot244.png (18,561 bytes)   
ScreenShot244.png (18,561 bytes)   
Marksom

Marksom

2016-01-22 14:31

reporter   ~34358

Hello members Limesurvey.
I added these two lines in checkCompletedQuota function ()

It worked for me, but honestly appreciate a change by limesurvey.

DenisChenu

DenisChenu

2016-01-23 15:35

developer   ~34375

More a bug : an user already submitted a quota : must not recheck quota :)

DenisChenu

DenisChenu

2016-03-05 18:38

developer   ~35991

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=17789

DenisChenu

DenisChenu

2016-03-05 18:39

developer   ~35992

Looking at system, seems very strange :

  • Token with allow edit response
  • Start token and go to quote : out
  • Start again : update answer : no quota
  • Start again : you can answer with the quota (now).

Maybe before is better?

c_schmitz

c_schmitz

2016-03-07 11:45

administrator   ~36016

Version 2.60 Build 150307 released

Related Changesets

LimeSurvey: master 7a4392e9

2016-03-05 17:38:10

DenisChenu

Details Diff
Fixed issue 10230: Limesurvey should not check completed surveys quotas
Dev: quota are strange with "allow edit response" actually
Dev: submit with quota
Dev: launch same survey again : allow to edit response
Affected Issues
10230
mod - application/helpers/frontend_helper.php Diff File

Issue History

Date Modified Username Field Change
2016-01-19 20:11 Marksom New Issue
2016-01-22 14:31 Marksom Issue Monitored: Marksom
2016-01-22 14:31 Marksom File Added: ScreenShot244.png
2016-01-22 14:31 Marksom Note Added: 34358
2016-01-23 15:32 DenisChenu Assigned To => DenisChenu
2016-01-23 15:32 DenisChenu Status new => assigned
2016-01-23 15:34 DenisChenu Project Feature requests => Bug reports
2016-01-23 15:34 DenisChenu Severity feature => minor
2016-01-23 15:35 DenisChenu Note Added: 34375
2016-03-05 18:38 DenisChenu Changeset attached => LimeSurvey master 7a4392e9
2016-03-05 18:38 DenisChenu Note Added: 35991
2016-03-05 18:38 DenisChenu Resolution open => fixed
2016-03-05 18:39 DenisChenu Note Added: 35992
2016-03-05 18:39 DenisChenu Status assigned => resolved
2016-03-05 18:39 DenisChenu Fixed in Version => 2.5
2016-03-07 11:45 c_schmitz Note Added: 36016
2016-03-07 11:45 c_schmitz Status resolved => closed
2021-08-03 02:37 guest Bug heat 6 => 8
2023-03-14 16:23 DenisChenu Relationship added related to 18645